/* ===================================
   RESET
=================================== */

*,
*::before,
*::after{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:'Manrope',sans-serif;
    background:#ffffff;
    color:#1E1E1E;
    line-height:1.7;
    overflow-x:hidden;
}

img{
    display:block;
    width:100%;
}

a{
    color:inherit;
    text-decoration:none;
}

ul{
    list-style:none;
}

/* ===================================
   VARIABLES
=================================== */

:root{

    --primary:#FBBF24;
    --primary-hover:#F59E0B;

    --text:#1E1E1E;
    --muted:#1E1E1E;

    --white:#ffffff;
    --light:#f8f9fb;

    --radius:20px;

    --shadow:
        0 8px 30px rgba(15,23,42,.05);

}

/* ===================================
   LAYOUT
=================================== */

.container{

    max-width:1280px;
    width:92%;

    margin-left:auto;
    margin-right:auto;

}

.section{
    padding:110px 0;
}

.section-light{
    background:var(--light);
}

.center{
    text-align:center;
}

.section-title span{
    color:var(--primary);
    font-size:18px;
    font-weight:800;
    letter-spacing:3px;
    text-transform:uppercase;
}

.section-title h2{

    margin-top:14px;

    font-size:clamp(2rem,4vw,3rem);

    line-height:1.2;

    font-weight:800;

}

.section-title p{

    max-width:650px;

    margin:20px auto 0;

    color:var(--muted);

}

/* ===================================
   BUTTONS
=================================== */

.btn-primary{

    display:inline-flex;

    align-items:center;

    justify-content:center;

    background:var(--primary);

    color:#111;

    font-weight:700;

    padding:16px 30px;

    border-radius:999px;

    transition:.25s;

}

.btn-primary:hover{

    background:var(--primary-hover);

    transform:translateY(-2px);

}

.btn-secondary{

    display:inline-flex;

    align-items:center;

    justify-content:center;

    padding:16px 30px;

    border:1px solid #ddd;

    border-radius:999px;

    transition:.25s;

}

.btn-secondary:hover{

    border-color:#bbb;

    background:#fafafa;

}

/* ===================================
   HEADER
=================================== */

.header{

    position:sticky;

    top:0;

    z-index:999;

    background:rgba(255,255,255,.92);

    backdrop-filter:blur(10px);

    border-bottom:1px solid rgba(0,0,0,.05);

}

.header .container{

    height:78px;

    display:flex;

    align-items:center;

    justify-content:space-between;

}

.logo{

    font-family:'Manrope',sans-serif;
    font-size:2.2rem;
    font-weight:900;
    letter-spacing:-0.06em;
    color:var(--text);

    text-decoration:none;
    line-height:1;

    white-space:nowrap;

    transition:.25s;

}

.logo:hover{

    color:var(--primary);

}


.menu{

    display:flex;

    gap:28px;

}

.menu a{

    font-weight:700;

    color:var(--text);

    transition:.2s;

}

.menu a:hover{

    color:var(--primary);

}

.btn-nav{

    background:var(--primary);

    padding:13px 24px;

    border-radius:999px;

    font-weight:700;

    transition:.25s;

}

.btn-nav:hover{

    background:var(--primary-hover);

}


/* ===================================
   HERO
=================================== */

.hero{

    padding:90px 0 120px;

}

.hero-grid{

    display:grid;

    grid-template-columns:1fr 1.15fr;

    gap:70px;

    align-items:center;

}

.hero-badge{

    display:inline-block;

    background:#fff8dd;

    color:#9a7300;

    padding:10px 18px;

    border-radius:999px;

    font-size:.9rem;

    font-weight:700;

}

.hero h1{

    margin:28px 0 24px;

    font-size:clamp(3rem,6vw,4.5rem);

    line-height:1.05;

    font-weight:800;

}

.hero p{

    max-width:520px;

    color:var(--muted);

    font-size:1.1rem;

}

.hero-buttons{

    margin-top:40px;

    display:flex;

    gap:18px;

    flex-wrap:wrap;

}

.hero-info{

    margin-top:60px;

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:18px;

}

.info-card{
    background:#fff;
    border-radius:24px;
    padding:32px 20px;
    text-align:center;
    box-shadow:0 8px 30px rgba(0,0,0,.05);
    transition:all .25s ease;
}

.info-card:hover{
    transform:translateY(-4px);
    box-shadow:0 14px 35px rgba(0,0,0,.10);
}

.info-card strong{

    display:block;

    font-size:1.6rem;

    font-weight:800;

}

.info-card span{

    display:block;

    margin-top:8px;

    color:var(--muted);

}

.hero-image{

    width:100%;

}

.hero-image img{

    display:block;
    width:100%;
    height:auto;

    border-radius:28px;
	
	transition:opacity .4s ease;

    box-shadow:var(--shadow);

}
/* ===================================
   DESPRE
=================================== */

.about-grid{

    max-width:900px;
    margin:0 auto;

}
.about-content{

    text-align:center;

}


.about-image img{

    width:100%;
    border-radius:24px;
    box-shadow:var(--shadow);

}

.about-content p{

    color:var(--muted);
    margin-bottom:22px;
    font-size:1.05rem;

}

.about-cards{

    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:20px;

    margin-top:45px;

    max-width:900px;
    margin-left:auto;
    margin-right:auto;

}

.mini-card{

    background:#fff;
    border-radius:20px;
    padding:28px;
    box-shadow:var(--shadow);
    transition:.25s;

}

.mini-card:hover{

    transform:translateY(-4px);

}

.mini-card h3{

    font-size:1.1rem;
    margin-bottom:12px;

}

.mini-card p{

    margin:0;
    color:var(--muted);
    font-size:.95rem;

}


/* ===================================
   MASINA
=================================== */

.cars-gallery{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:22px;
    margin-top:50px;
}

.car-card{

    background:#fff;
    border-radius:24px;
    overflow:hidden;
    box-shadow:var(--shadow);
    text-align:center;
    transition:.25s;

}

.car-card:hover{

    transform:translateY(-6px);

}

.car-card img{

    width:100%;
    aspect-ratio:16 / 9;
    object-fit:cover;
    display:block;

}

.car-card h3{

    margin:18px 0 6px;
    font-size:1.2rem;

}

.car-card p{

    margin-bottom:22px;
    color:var(--muted);

}


/* ===================================
   PRET
=================================== */

.price-card{
    background:#fff;
    padding:35px;
    border-radius:24px;
    box-shadow:var(--shadow);

    margin-top:30px;
    margin-bottom:30px;
}

.price-card small{

    display:block;
    color:var(--muted);
    margin-bottom:12px;

}

.price-card h3{

    font-size:3rem;
    line-height:1;
    margin-bottom:14px;
    font-weight:800;

}

.package-list{
    list-style:none;
    padding:0;
    margin:30px 0;
}

.package-list li{
    padding:12px 0;
    font-size:1.05rem;
    border-bottom:1px solid #ececec;
}

.package-list li:last-child{
    border-bottom:none;
}



/* ===================================
   DOTARI
=================================== */

.feature-grid{

    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:20px;

}

.feature-card{

    background:#fff;
    padding:28px;
    border-radius:20px;
    box-shadow:var(--shadow);
    transition:.25s;

}

.feature-card:hover{

    transform:translateY(-5px);

}

.icon{

    width:58px;
    height:58px;

    display:flex;
    align-items:center;
    justify-content:center;

    border-radius:16px;

    background:#fff8df;

    font-size:1.5rem;

    margin-bottom:18px;

}

.feature-card h4{

    font-size:1.2rem;
    margin-bottom:8px;

}

.feature-card p{

    color:var(--muted);
    font-size:.95rem;

}

/* ===================================
   ACTE NECESARE
=================================== */

.documents-grid{

    margin-top:60px;

    display:grid;

    grid-template-columns:repeat(4,1fr);

    gap:24px;

}

.document-card{

    background:#fff;

    padding:32px;

    border-radius:20px;

    box-shadow:var(--shadow);

    text-align:center;

    transition:.25s;

}

.document-card:hover{

    transform:translateY(-5px);

}

.doc-icon{

    font-size:2rem;

    margin-bottom:18px;

}

.document-card h3{

    margin-bottom:12px;

}

.document-card p{

    color:var(--muted);

}


/* ===================================
   PASI
=================================== */

.steps{

    margin-top:70px;

    display:grid;

    grid-template-columns:repeat(5,1fr);

    gap:22px;

}

.step{

    background:#fff;

    border-radius:20px;

    padding:30px;

    box-shadow:var(--shadow);

    text-align:center;

}

.step span{

    width:52px;

    height:52px;

    margin:auto;

    display:flex;

    align-items:center;

    justify-content:center;

    border-radius:50%;

    background:var(--primary);

    font-weight:800;

    margin-bottom:20px;

}

.step h3{

    margin-bottom:12px;

}

.step p{

    color:var(--muted);

}


/* ===================================
   CHESTIONARE
=================================== */

.quiz-box{

    margin-top:50px;

    background:#fff;

    border-radius:24px;

    padding:60px;

    box-shadow:var(--shadow);

    text-align:center;

}

.quiz-content h3{

    font-size:2rem;

    margin-bottom:16px;

}

.quiz-content p{

    color:var(--muted);

    max-width:650px;

    margin:0 auto 35px;

}


/* ===================================
   RECENZII
=================================== */

.reviews-grid{

    margin-top:60px;

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:24px;

}

.review-card{

    background:#fff;

    padding:35px;

    border-radius:22px;

    box-shadow:var(--shadow);

}

.review-card p{

    margin:20px 0;

    color:var(--muted);

}

.review-card strong{

    font-weight:700;

}


/* ===================================
   CONTACT
=================================== */

.contact-box{

    margin-top:50px;

    background:#fff;

    border-radius:28px;

    padding:60px;

    display:grid;

    grid-template-columns:1fr 360px;

    gap:60px;

    box-shadow:var(--shadow);

}

.contact-left span{

    color:var(--primary);

    font-weight:700;

    text-transform:uppercase;

    letter-spacing:.08em;

}

.contact-left h2{

    font-size:2.5rem;

    margin:18px 0;

}

.contact-left p{

    color:var(--muted);

}

.contact-right{

    display:flex;

    flex-direction:column;

    gap:16px;

}

.contact-item{

    background:#f8f9fb;

    padding:22px 24px;

    border-radius:16px;

    font-size:1.15rem;

    font-weight:600;

    transition:.25s;

}

.contact-item:hover{

    background:var(--primary);

}


/* ===================================
   FOOTER
=================================== */

footer{

    margin-top:80px;

    border-top:1px solid #ececec;

}

.footer-content{

    padding:40px 0;

    display:flex;

    justify-content:space-between;

    align-items:center;

    color:var(--muted);

}
.cta-center{
    text-align:center;
    margin-top:35px;
}

.price-label{
    margin-top:22px;
    margin-bottom:6px;
    font-size:14px;
    color:#6B7280;
}

.car-card .car-price{
    font-size:3.5rem;
    font-weight:800;
    line-height:1;
    color:#1F2937;
    margin-top:10px;
    margin-bottom:30px;
}


.payment-box{
    margin-top:20px;
}

.payment-box p{
    display:flex;
    align-items:center;
    gap:12px;
    margin:16px 0;
    font-size:26px;
    font-weight:700;
    color:#1E1E1E;
    line-height:1.6;
}

.check{
    width:24px;
    height:24px;
	font-size:14px;
    border-radius:50%;
    background:#FDC52C;
    color:#1E1E1E;
    font-weight:700;
    display:flex;
    align-items:center;
    justify-content:center;
    flex-shrink:0;
}

.age-banner{
    margin:40px 0 60px;
}

.age-box{
    display:flex;
    align-items:center;
    gap:20px;
    background:#FFF8DD;
    border:2px solid #FDC52C;
    border-radius:18px;
    padding:22px 30px;
}

.age-icon{
    font-size:42px;
    flex-shrink:0;
}

.age-content h3{
    margin:0 0 8px;
    font-size:1.7rem;
    font-weight:700;
    color:#1E1E1E;
}

.age-content p{
    margin:0;
    font-size:1.05rem;
    line-height:1.6;
    color:#555;
}

/* ===================================
   RESPONSIVE
=================================== */

@media(max-width:1024px){

.hero-grid,
.about-grid,
.car-grid,
.contact-box{

    grid-template-columns:1fr;

}

.documents-grid{

    grid-template-columns:repeat(2,1fr);

}

.feature-grid{

    grid-template-columns:repeat(2,1fr);

}

.steps{

    grid-template-columns:repeat(2,1fr);

}

.reviews-grid{

    grid-template-columns:1fr;

}

.hero-info{

    grid-template-columns:1fr;

}
.age-box{
    flex-direction:column;
    text-align:center;
}

.age-icon{
    font-size:36px;
}

@media(max-width:768px){


.menu{

    display:none;

}

.documents-grid,
.feature-grid,
.about-cards,
.steps{

    grid-template-columns:1fr;

}

.contact-box{

    padding:35px;

}

.section{

    padding:80px 0;

}

.hero{

    padding:60px 0 80px;

}

.hero h1{

    font-size:2.8rem;
	
}